use super::identifier_type::IdentifierType;

#[derive(Debug, Clone, serde::Deserialize)]
#[serde(untagged)]
pub enum Identifier {
    User(IdentifierUser),
}

#[derive(Debug, Clone, serde::Deserialize)]
pub struct IdentifierUser {
    #[serde(rename = "type")]
    _type: IdentifierType,
    user: Option<String>,
}

impl IdentifierUser {
    /// Get a reference to the identifier user's user.
    #[must_use]
    pub fn user(&self) -> Option<&String> {
        self.user.as_ref()
    }
}
